# module ActiveLdap::Callbacks::ClassMethods

### Public Instance Methods

instantiate_with_callbacks(record) click to toggle source

    # File lib/active_ldap/callbacks.rb, line 37
    def instantiate_with_callbacks(record)
      object = instantiate_without_callbacks(record)
      object.run_callbacks(:find)
      object.run_callbacks(:initialize)
      object
    end

method_added(meth) click to toggle source
Calls superclass method

    # File lib/active_ldap/callbacks.rb, line 27
    def method_added(meth)
      super
      if CALLBACKS.include?(meth.to_sym)
        ActiveSupport::Deprecation.warn("Base##{meth} has been deprecated, please use Base.#{meth} :method instead", caller[0,1])
        send(meth.to_sym, meth.to_sym)
      end
    end